Package org.apache.tomcat.websocket.pojo

# Class PojoPathParam

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoPathParam

public class PojoPathParam extends Object
Stores the parameter type and name for a parameter that needs to be passed to an onXxx method of `Endpoint`. The name is only present for parameters annotated with `PathParam`. For the `Session` and `Throwable` parameters, `getName()` will always return `null`.

## Constructor Summary

Constructors
Constructor
Description
`PojoPathParam(Class<?> type, String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Class<?>`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoPathParam

public PojoPathParam(Class<?> type, String name) throws DeploymentException

Throws:
  `DeploymentException`

## Method Details

### getType

public Class<?> getType()

### getName

public String getName()